<?php
include(dirname(__FILE__) . '/../header.php');
?>
<image src="<?php echo site_url('images/step4.png') ?>">

<h2>予約内容確認</h2>
<?php
$reservation = $this->phpsession->get('reservation');
$resrooms = $this->phpsession->get('resrooms');
$resmember = $this->phpsession->get('resmember');
?>
<table class="inp">
<tr>
<th width="200px">プラン :</th>
<td><?php echo $plan_name ?></td>
</tr>
<th>チェックイン :</th>
<td>
<?php
$s_cin = $reservation['cin'];
echo $s_cin;
echo ' (' . $this->Common_model->week($s_cin) . ')';
?>
</td>
</tr>
<tr>
<th>チェックアウト :</th>
<td>
<?php
$s_cout = $reservation['cout'];
echo $s_cout;
echo ' (' . $this->Common_model->week($s_cout) . ')';
?>
</td>
</tr>
<tr><th>部屋タイプ :</th>
<td>
<?php echo $roomtype_name . ' (' . $roomtypes_guest_min . '～' . $roomtypes_guest_max . '人)'; ?>
</td></tr>
<tr>
<th>部屋数 :</th>
<td><?php echo $reservation['room_num'] . '部屋'; ?></td>
</tr>
<tr>
<th>人数 :</th>
<td>
<?php
for ($i = 0; $i < $reservation['room_num']; $i++)
{
    $room_i = $resrooms[$i];
    echo $room_i['room_no'] . '部屋目' . "<br />\n";
    if ($room_i['basic_num'] > 0)
    {
        echo "大人:"  . $room_i['basic_num']  . "人&nbsp;";
    }
    if ($room_i['child1_num'] > 0)
    {
        echo "子供A:" . $room_i['child1_num'] . "人&nbsp;";
    }
    if ($room_i['child2_num'] > 0)
    {
        echo "子供B:" . $room_i['child2_num'] . "人&nbsp;";
    }
    if ($room_i['child3_num'] > 0)
    {
        echo "子供C:" . $room_i['child3_num'] . "人&nbsp;";
    }
    if ($room_i['child4_num'] > 0)
    {
        echo "子供D:" . $room_i['child4_num'] . "人";
    }
    echo "<br />\n";
}
?></td>
</tr>
<tr>
<th>料金 :</th>
<td>
<?php
$resrooms = $this->phpsession->get('resrooms');
//var_dump($resrooms);
$strDay = '';
foreach ($resrooms as $room_i)
{
    if ($strDay != $room_i['day'])
    {
        echo $room_i['day'] . "<br />\n";
        $strDay = $room_i['day'];
    }
    echo $room_i['room_no'] . '部屋目' . "<br />\n";
    if ($room_i['basic_num'] > 0)
    {
        echo "大人:"  . $room_i['basic_num']  . "人&nbsp;";
        $temp = $room_i['basic_num'] * $room_i['basic_price'];
        echo $room_i['basic_num'] . '人 x ' . number_format($room_i['basic_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child1_num'] > 0)
    {
        echo "子供A:" . $room_i['child1_num'] . "人&nbsp;";
        $temp = $room_i['child1_num'] * $room_i['child1_price'];
        echo $room_i['child1_num'] . '人 x ' . number_format($room_i['child1_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child2_num'] > 0)
    {
        echo "子供B:" . $room_i['child2_num'] . "人&nbsp;";
        $temp = $room_i['child2_num'] * $room_i['child2_price'];
        echo $room_i['child2_num'] . '人 x ' . number_format($room_i['child2_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child3_num'] > 0)
    {
        echo "子供C:" . $room_i['child3_num'] . "人&nbsp;";
        $temp = $room_i['child3_num'] * $room_i['child3_price'];
        echo $room_i['child3_num'] . '人 x ' . number_format($room_i['child3_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child4_num'] > 0)
    {
        echo "子供D:" . $room_i['child4_num'] . "人";
        $temp = $room_i['child4_num'] * $room_i['child4_price'];
        echo $room_i['child4_num'] . '人 x ' . number_format($room_i['child4_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
}
?>
</td>
</tr>
<tr>
<th>合計 :</th>
<td>
<?php echo number_format($reservation['total_price']) . "円"; ?>
</td>
</tr>
</table>

<table class="inp">
<tr>
<th width="200px">氏名(ひらがな) :</th>
<td>
<?php
echo $resmember['name'];
echo '(' . $resmember['name_kana'] . ')';
?>
</td>
</tr>
<tr>
<th>メールアドレス :</th>
<td>
<?php echo $resmember['email'] ?>
</td>
</tr>

<tr>
<th>住所 :</th>
<td>
<?php
echo '〒' . $resmember['postcode'] . "<br />\n";
echo $resmember['prefecture'] . "<br />\n";
echo $resmember['city'] . "<br />\n";
echo $resmember['street'] . "\n";
?>
</td>
</tr>

<tr>
<th>電話番号 :</th>
<td>
<?php echo $resmember['phone'] ?>
</td>
</tr>

<tr>
<th>チェックイン時刻 :</th>
<td>
<?php echo $resmember['cinhour'] ?>
</td>
</tr>

<tr>
<th>備考 :</th>
<td>
<?php echo $resmember['memo'] ?>
</td>
</tr>

</table>

<?php echo form_open('res/confirm/' . $hotel['hotelid']); ?>
<input type="submit" name="submit" value="上記の内容で予約する" />
</form>

<?php
include(dirname(__FILE__) . '/../footer.php');
?>
